[macos] कमांड लाइन टूल्स काम नहीं कर रहे हैं - ओएस एक्स एल कैपिटन / मैकोज सिएरा / मैकोज़ हाई सिएरा



Answers

यदि आपको xcode-select --install कमांड के साथ समस्याएं हैं; उदाहरण के लिए, मुझे नेटवर्क समस्या टाइमआउट प्राप्त करना जारी रखा गया है, फिर एक्सकोड 7.1 के लिए developer.apple.com/downloads (कमांड लाइन टूल्स ओएस एक्स 10.11) पर डीएमजी डाउनलोड करने का प्रयास करें।

Question

मैंने अभी योसामेट से एल कैपिटन तक अपग्रेड किया है (और एल कैपिटन से सिएरा तक अपग्रेड करने की समस्या को दोहराया है), और जब मैं टर्मिनल के अंदर उदाहरण git status टाइप करने का प्रयास करता हूं, तो मुझे निम्न त्रुटि मिलती है:

xcrun: error: invalid active developer path
 (/Library/Developer/CommandLineTools), missing xcrun at:
 /Library/Developer/CommandLineTools/usr/bin/xcrun

मेरे पास एक्सकोड स्थापित नहीं है, कभी नहीं किया। किसी के पास कोई समाधान है?




मैंने अभी हाई सिएरा को अपडेट किया है और मैं सिर्फ xcode-select --install नहीं चला सका। सबसे पहले, मुझे वास्तव में ऐप स्टोर से एक्सकोड स्थापित करना पड़ा। तब मैं xcode-select --install चला गया। तब मुझे sudo xcodebuild -license चलाने के लिए, शर्तों से सहमत होना था, फिर मैं अंततः गिट कमांड चला सकता था।




पथ एक्सकोड को फिर से सौंपना मेरे लिए काम करने के साथ कॉन्फ़िगर किया गया है।

sudo xcode-select -switch /Applications/Xcode.app

फिर आपको लाइसेंस समझौते से सहमत होने के लिए संकेत दिया जाएगा (आदेश की कोशिश करने के बाद)।




मेरे लिए, मैंने एक्सकोड को हटा दिए जाने के बाद, मुझे सक्रिय डेवलपर पथ को निम्नानुसार स्विच करना होगा: sudo xcode-select -s /




मैंने मैक ओएस को मैकोज़ हाई सिएरा - 10.13.3 में अपग्रेड किया और वॉचमैन इंस्टॉल करने की कोशिश करते समय एक समान समस्या का सामना किया (कमांड - ब्रू इंस्टॉल वॉचमैन के साथ)।

आदेश चलाया: xcode-select --install, फिर "ब्रू इंस्टॉल वॉचमैन" भाग गया - सबकुछ ठीक काम करता है!




Related